# This component will trigger E-STOP on failure. Adding `triggers_nogo` as an
# indicator for AI monitor, which serves purpose in propagating error state to
# other parts of the driving software stack.
component: TrackerDiagnostic
metric: zoox::diag::EmptyMetric
namespace: zoox::tracker
faults:
  - id: 0
    name: SOLVER_FAULT
    severity: ERROR
    description: "Solver returned fault."
    triggers_nogo: true
    ## Deprecated.
  - id: 1
    name: DISENGAGE_TRIGGERED
    severity: ERROR
    description: "Tracker disengaged autonomous."
    triggers_nogo: true
    deprecated: true
  - id: 2
    name: STEERING_MODE_MISMATCH
    severity: ERROR
    description: "The tracker steering mode does not match the steering mode associated with the current ODD."
    triggers_nogo: true
  - id: 3
    name: STEERING_LIMITS_INVALID
    severity: ERROR
    description: "The tracker steering limits are not valid because they failed to update for the current ODD."
    triggers_nogo: true
  - id: 4
    name: DisengageTriggeredWarn
    severity: WARNING
    description: >
      Tracker state is unavailable and was forwarded to lower level controls
      which results in a disengagement if Hero was autonomous or prevents Hero
      from engaging autonomy. This error results from Planner Smoother state
      not being ready for autonomy (i.e. in UNAVAILABLE or AVAILABLE state).
      Please look to Planner capability for any errors. If there are no errors,
      then look to NoGo capability for issues unrelated to Planner. The fault
      name, FAULT_TRIGGERED, should be useful to root cause the NoGo.
